=== modified file 'ifrs_report/model/ifrs.py'
--- ifrs_report/model/ifrs.py	2013-05-26 18:30:40 +0000
+++ ifrs_report/model/ifrs.py	2013-06-05 02:37:38 +0000
@@ -53,7 +53,7 @@
     _columns = {
         'name' : fields.char('Name', 128, required = True ),
         'company_id' : fields.many2one('res.company', string='Company', ondelete='cascade' ),
-        'currency_id': fields.many2one('res.currency', 'Currency', help="Currency at which this report will be expressed. If not selected will be used the one set in the company"),
+        'currency_id': fields.related('company_id', 'currency_id', type='many2one', relation='res.currency', string='Company Currency',help="Currency at which this report will be expressed. If not selected will be used the one set in the company"),
         'title' : fields.char('Title', 128, required = True, translate = True ),
         'code' : fields.char('Code', 128, required = True ),
         'description' : fields.text('Description'),
@@ -132,7 +132,6 @@
         #~ Assembling context
         
         #~ Generic context applicable to the different types
-        
         if not c.get('fiscalyear'):
             c['fiscalyear']=fy_obj.find(cr,uid,dt=None,context=c)
         
@@ -152,19 +151,8 @@
                 period_ids = period_obj.build_ctx_periods_initial(cr, uid, c['period_from'])
                 c['periods'] = period_ids
                 period_company_id = period_obj.browse(cr, uid, c['period_from'], context=context).company_id.id
-##                c['period_to']= period_obj.previous(cr, uid, c['period_from'],context= c) or c['period_from']
-#                period_to = period_obj.previous(cr, uid, c['period_from'],context= c) or c['period_from']
- #               c['period_from'] = period_obj.search(cr, uid, [('company_id', '=', period_company_id),('special', '=', True), ('fiscalyear_id','=',context.get('fiscalyear'))], order='date_start', limit=1)[0]
-  #              period_from_to = period_obj.browse(cr, uid, [c['period_to'], c['period_from']], context=context)
-   #             if period_from_to[0].date_start <> period_from_to[1].date_start:
-    #                c['period_to'] = period_to
-     #           else:
-      #              c['period_to'] = c['period_from']
-##                c['period_from'] = period_obj.previous(cr, uid, c['period_from'],context= c) or c['period_from']
             if not c['period_from']:
                     raise osv.except_osv(_('Error !'), _('prueba001 %s')%(period_obj.browse(cr,uid,c['period_from'],context=c).name))
-##                c['period_to']=c['period_from']
-
 
             elif brw.acc_val=='var':
                 if context.get('whole_fy',False):
@@ -272,7 +260,91 @@
                 #~ TODO: write back False to brw.do_compute with SQL
                 #~ INCLUDE A LOGGER
         return res
-        
+    
+    def _get_period_print_info(self, cr, uid, ids, period_id, report_type, context=None):
+        if context is None: context = {}
+        ''' Return all the printable information about period'''
+
+        if report_type == 'all':
+            res = 'All Periods of the fiscalyear.'
+        else:
+            period = self.pool.get('account.period').browse(cr, uid, period_id, context = context)
+            res = str(period.name) + ' [' + str(period.code) + ']'
+
+        return res
+
+    def _get_periods_name_list(self, cr, uid, ids, fiscalyear_id, context=None):
+        if context is None: context = {}
+
+        """devuelve una lista con la info de los periodos fiscales (numero mes, id periodo, nombre periodo)"""
+
+        period_list = []
+        period_list.append( ('0', None , ' ' ) ) 
+
+        fiscalyear_bwr = self.pool.get('account.fiscalyear').browse(cr, uid, fiscalyear_id, context=context)
+        
+        periods_ids = fiscalyear_bwr._get_fy_period_ids()
+
+        periods = self.pool.get('account.period')
+        
+        for ii, period_id in enumerate(periods_ids, start=1):
+            period_list.append((str(ii), period_id, periods.browse(cr, uid, period_id, context=context).name ))
+
+        return period_list
+
+    def exchange(self, cr, uid, ids, from_amount, to_currency_id, from_currency_id, exchange_date, context=None):
+        if context is None: context = {}
+        if from_currency_id == to_currency_id:
+            return from_amount
+        curr_obj = self.pool.get('res.currency')
+        context['date'] = exchange_date
+        return curr_obj.compute(cr, uid, from_currency_id, to_currency_id, from_amount, context=context)
+    
+    def _get_amount_value(self, cr, uid, ids, ifrs_line, period_info, fiscalyear, exchange_date, currency_wizard, period_num=None, target_move=None, pd=None, undefined=None, two=None, context=None):
+        if context is None: context = {}
+        
+        '''devuelve la cantidad correspondiente al periodo'''
+        from_currency_id = ifrs_line.ifrs_id.company_id.currency_id.id
+        to_currency_id = currency_wizard
+
+        if period_num:
+            if two:
+                context = {'period_from': period_num, 'period_to':period_num, 'state': target_move, 'partner_detail':pd, 'fiscalyear':fiscalyear}
+            else:
+                period_id = period_info[period_num][1]
+                context = {'period_from': period_id, 'period_to':period_id, 'state': target_move, 'partner_detail':pd, 'fiscalyear':fiscalyear}
+        else:
+            context = {'whole_fy': 'True'} 
+       
+        res = self._get_sum(cr, uid, ifrs_line.id, context = context)
+        if ifrs_line.type == 'detail':
+            res = self.exchange(cr, uid, ids, res, to_currency_id, from_currency_id, exchange_date, context=context)
+        elif ifrs_line.type == 'total':
+            if ifrs_line.operator not in ('percent','ratio'):
+                if ifrs_line.comparison not in ('percent','ratio','product'):
+                    res = self.exchange(cr, uid, ids, res, to_currency_id, from_currency_id, exchange_date, context=context)
+        return res
+
+    def _get_partner_detail(self, cr, uid, ids, ifrs_l, context=None):
+        ifrs = self.pool.get('ifrs.lines')
+        aml_obj = self.pool.get('account.move.line')
+        account_obj = self.pool.get('account.account')
+        partner_obj = self.pool.get('res.partner')
+        res = []
+        if ifrs_l.type =='detail':
+            ids2 = [lin.id for lin in ifrs_l.cons_ids]
+            ids3 = ids2 and account_obj._get_children_and_consol(cr, uid, ids2, context=context) or []
+            if ids3:
+                cr.execute(""" SELECT rp.id
+                    FROM account_move_line l JOIN res_partner rp ON rp.id = l.partner_id
+                    WHERE l.account_id IN %s
+                    GROUP BY rp.id 
+                    ORDER BY rp.name ASC""", ( tuple(ids3), ) 
+                    )
+                dat = cr.dictfetchall()
+                res = [lins for lins in partner_obj.browse( cr, uid, [li['id'] for li in dat], context=context )]
+        return res
+    
     _columns = {
         'sequence' : fields.integer( 'Sequence', required = True ),
         'name' : fields.char( 'Name', 128, required = True, translate = True ),

=== removed file 'ifrs_report/report/ifrs_cash_flow_indirect_12.rml'
--- ifrs_report/report/ifrs_cash_flow_indirect_12.rml	2013-05-24 21:34:42 +0000
+++ ifrs_report/report/ifrs_cash_flow_indirect_12.rml	1970-01-01 00:00:00 +0000
@@ -1,159 +0,0 @@
-<?xml version="1.0"?>
-<document filename="test2.pdf">
-
-    <template pageSize="(432mm,279.4mm)" title="IFRS" author="Yanina Aular y Katherine Zaoral" allowSplitting="1" showBoundary="0">
-    <pageTemplate id="first">
-
-        <pageGraphics>
-
-            <!-- COMPANY LOGO -->
-            <image x="100.0mm" y="252.0mm" height="15mm" >[[company.logo and company.logo or removeParentNode('image')]]</image>
-
-            <!-- REPORT CURVE BORDER  -->
-            <stroke color="black"/>
-            <rect x="10mm" y="10mm" width="412mm" height="259.4mm" fill="no" stroke="yes" round="2.5mm" />
-
-            <!-- FOOTER -->
-            <drawString x="10mm" y="5mm">Reporte Impreso en OpenERP con ReportLab</drawString>
-            <drawRightString x="200mm" y="5mm">Fecha de Impresion:  [[formatLang(time.strftime('%Y-%m-%d'),date=True)]] [[time.strftime('%H:%m')]] / Pagina:<pageNumber/> </drawRightString>
-
-        </pageGraphics>
-
-        <frame id="first" x1="10mm" y1="10mm" width="412mm" height="259.0mm"/>
-    </pageTemplate>
-    </template>
-
-    <stylesheet>
-
-        <!-- Header styles -->
-
-            <paraStyle
-                name="info_header"
-                fontName="Helvetica"
-                fontSize="10.0"
-                textColor="black"
-            />
-
-        <!-- Pappding style for ifrs lines -->
-
-            <paraStyle name="padding_level_0" leftIndent="0"  fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_1" leftIndent="15" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_2" leftIndent="30" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_3" leftIndent="45" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_4" leftIndent="60" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_5" leftIndent="75" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_6" leftIndent="90" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-
-        <!-- Data Table Styles -->
-
-            <!-- Numeric Data  -->
-            
-            <paraStyle
-                name="numeric_data_table_style"
-                fontName="Helvetica"
-                fontSize="9.0"
-                alignment="right"
-            />
-
-            <!-- Row Styles -->
-
-                <blockTableStyle id="header_table_style">
-                    <blockValign value="CENTER"/>
-                    <blockAlignment value="CENTER"/>
-                    <lineStyle kind="LINEABOVE" colorName="black" thickness="1" />
-                    <blockFont name="Helvetica" size="9.0" start="1,0" stop="-1,0"/>
-                    <blockBackground colorName="#ECFFDC"/>
-                </blockTableStyle>
-
-                <blockTableStyle id="first_row_style">
-                    <blockBackground colorName="#ECFFDC"/>
-                    <lineStyle kind="INNERGRID" colorName="black" thickness="0"/>
-                    <lineStyle kind="LINEABOVE" colorName="black" thickness="1"/>
-                </blockTableStyle>
-
-                <blockTableStyle id="dark_color_row_style">
-                    <blockBackground colorName="#ECFFDC"/>
-                    <lineStyle kind="INNERGRID" colorName="black" thickness="0" />
-                </blockTableStyle>
-
-                <blockTableStyle id="light_color_row_style">
-                    <blockBackground colorName="white"/>
-                    <lineStyle kind="INNERGRID" colorName="black" thickness="0" />
-                </blockTableStyle>
-
-            <!-- Amount Cell Stype (total or simple) -->
-
-                <blockTableStyle id="total_amount_row_style">
-                    <lineStyle kind="LINEBELOW" thickness="1" />
-                </blockTableStyle>
-
-                <blockTableStyle id="simple_amount_row_style">
-                </blockTableStyle>
-
-    </stylesheet>
-
-    <story>
-
-        <para>[[ repeatIn(objects,'o') ]]</para>
-        <section>
-
-        <para style="info_header">
-            <b>[[ get_report_title(o) ]]</b> <br/>
-            <b>Company:</b> [[ company.name.upper() ]].<br/>
-            <b>Fiscalyear:</b> [[ get_fiscalyear_print_info(data['fiscalyear']) ]].<br/>
-            <b>Period:</b> [[ get_period_print_info(data['period'],data['report_type']) ]] <br/><br/>
-        </para>
-
-        <para>[[ get_total_ifrs_lines(o) ]] </para>
-        <para>[[ get_periods_name_list(o,data['fiscalyear']) ]]</para>
-
-        <!-- header row table -->
-        <blockTable style="header_table_style" colWidths="112.4mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm">
-            <tr>
-                <td><para alignment="center">[[get_column_name(0)]]</para></td>
-                <td><para alignment="center">[[get_column_name(1)]]</para></td>
-                <td><para alignment="center">[[get_column_name(2)]]</para></td>
-                <td><para alignment="center">[[get_column_name(3)]]</para></td>
-                <td><para alignment="center">[[get_column_name(4)]]</para></td>
-                <td><para alignment="center">[[get_column_name(5)]]</para></td>
-                <td><para alignment="center">[[get_column_name(6)]]</para></td>
-                <td><para alignment="center">[[get_column_name(7)]]</para></td>
-                <td><para alignment="center">[[get_column_name(8)]]</para></td>
-                <td><para alignment="center">[[get_column_name(9)]]</para></td>
-                <td><para alignment="center">[[get_column_name(10)]]</para></td>
-                <td><para alignment="center">[[get_column_name(11)]]</para></td>
-                <td><para alignment="center">[[get_column_name(12)]]</para></td>
-            </tr>
-        </blockTable>
-
-        <!-- data row table -->
-        <section>
-        <para>[[ repeatIn(o.ifrs_lines_ids,'ifrs_l') ]]</para>
-        <blockTable> [[ setTag('blockTable','blockTable', {'colWidths' : '112.4mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm', 'style' : get_row_style()+'_row_style'}) ]]
-    
-            <para>[[ ifrs_l.invisible and removeParentNode('blockTable') ]]</para>
-            <tr>
-                <td>
-                    <para> [[ setTag('para','para', {'style': get_padding_level(ifrs_l.level) })]] [[ ifrs_l.name]] </para>
-                </td>
-                <td><para style="numeric_data_table_style">[[ formatLang( get_amount_value(ifrs_l, 1, data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-                <td><para style="numeric_data_table_style">[[ formatLang( get_amount_value(ifrs_l, 2,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-                <td><para style="numeric_data_table_style">[[ formatLang( get_amount_value(ifrs_l, 3,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-                <td><para style="numeric_data_table_style">[[ formatLang( get_amount_value(ifrs_l, 4,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-                <td><para style="numeric_data_table_style">[[ formatLang( get_amount_value(ifrs_l, 5,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-                <td><para style="numeric_data_table_style">[[ formatLang( get_amount_value(ifrs_l, 6,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-                <td><para style="numeric_data_table_style">[[ formatLang( get_amount_value(ifrs_l, 7,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-                <td><para style="numeric_data_table_style">[[ formatLang( get_amount_value(ifrs_l, 8,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-                <td><para style="numeric_data_table_style">[[ formatLang( get_amount_value(ifrs_l, 9,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-                <td><para style="numeric_data_table_style">[[ formatLang( get_amount_value(ifrs_l, 10,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-                <td><para style="numeric_data_table_style">[[ formatLang( get_amount_value(ifrs_l, 11,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-                <td><para style="numeric_data_table_style">[[ formatLang( get_amount_value(ifrs_l, 12,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-            </tr>
-        </blockTable>
-     
-        </section>
-        
-        </section>
-
-    </story>
-</document>

=== removed file 'ifrs_report/report/ifrs_cash_flow_indirect_12_partner_detail.rml'
--- ifrs_report/report/ifrs_cash_flow_indirect_12_partner_detail.rml	2013-05-24 21:34:42 +0000
+++ ifrs_report/report/ifrs_cash_flow_indirect_12_partner_detail.rml	1970-01-01 00:00:00 +0000
@@ -1,163 +0,0 @@
-<?xml version="1.0"?>
-<document filename="test2.pdf">
-
-    <template pageSize="(432mm,279.4mm)" title="IFRS" author="Yanina Aular y Katherine Zaoral" allowSplitting="1" showBoundary="0">
-    <pageTemplate id="first">
-
-        <pageGraphics>
-
-            <!-- COMPANY LOGO -->
-            <image x="100.0mm" y="252.0mm" height="15mm" >[[company.logo and company.logo or removeParentNode('image')]]</image>
-
-            <!-- REPORT CURVE BORDER  -->
-            <stroke color="black"/>
-            <rect x="10mm" y="10mm" width="412mm" height="259.4mm" fill="no" stroke="yes" round="2.5mm" />
-
-            <!-- FOOTER -->
-            <drawString x="10mm" y="5mm">Reporte Impreso en OpenERP con ReportLab</drawString>
-            <drawRightString x="200mm" y="5mm">Fecha de Impresion:  [[formatLang(time.strftime('%Y-%m-%d'),date=True)]] [[time.strftime('%H:%m')]] / Pagina:<pageNumber/> </drawRightString>
-
-        </pageGraphics>
-
-        <frame id="first" x1="10mm" y1="10mm" width="412mm" height="259.0mm"/>
-    </pageTemplate>
-    </template>
-
-    <stylesheet>
-
-        <!-- Header styles -->
-
-            <paraStyle
-                name="info_header"
-                fontName="Helvetica"
-                fontSize="10.0"
-                textColor="black"
-            />
-
-
-        <!-- Pappding style for ifrs lines -->
-
-            <paraStyle name="padding_level_0" leftIndent="0"  fontName="Helvetica" fontSize="9.0" alignment="left" />
-            <paraStyle name="padding_level_1" leftIndent="15" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_2" leftIndent="30" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_3" leftIndent="45" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_4" leftIndent="60" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_5" leftIndent="75" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_6" leftIndent="90" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-
-        <!-- Data Table Styles -->
-
-            <!-- Numeric Data  -->
-            
-            <paraStyle
-                name="numeric_data_table_style"
-                fontName="Helvetica"
-                fontSize="9.0"
-                alignment="right"
-            />
-
-            <paraStyle
-                name="numeric_data_table_style2"
-                fontName="Helvetica"
-                fontSize="9.0"
-                alignment="right"
-            />
-
-            <!-- Row Styles -->
-
-                <blockTableStyle id="header_table_style">
-                    <blockValign value="CENTER"/>
-                    <blockAlignment value="CENTER"/>
-                    <lineStyle kind="LINEABOVE" colorName="black" thickness="1" />
-                    <blockFont name="Helvetica" size="9.0" start="1,0" stop="-1,0"/>
-                    <blockBackground colorName="#ECFFDC"/>
-                </blockTableStyle>
-
-                <blockTableStyle id="first_row_style">
-                    <blockBackground colorName="#ECFFDC"/>
-                    <lineStyle kind="INNERGRID" colorName="black" thickness="0"/>
-                    <lineStyle kind="LINEABOVE" colorName="black" thickness="1"/>
-                </blockTableStyle>
-
-                <blockTableStyle id="dark_color_row_style">
-                    <blockBackground colorName="#ECFFDC"/>
-                    <lineStyle kind="INNERGRID" colorName="black" thickness="0" />
-                </blockTableStyle>
-
-                <blockTableStyle id="light_color_row_style">
-                    <blockBackground colorName="white"/>
-                    <lineStyle kind="INNERGRID" colorName="black" thickness="0" />
-                </blockTableStyle>
-                
-                <blockTableStyle id="light_color_row_style2">
-                    <blockBackground colorName="white"/>
-                </blockTableStyle>
-
-            <!-- Amount Cell Stype (total or simple) -->
-
-                <blockTableStyle id="total_amount_row_style">
-                    <lineStyle kind="LINEBELOW" thickness="1" />
-                </blockTableStyle>
-
-                <blockTableStyle id="simple_amount_row_style">
-                </blockTableStyle>
-
-    </stylesheet>
-
-    <story>
-
-        <para>[[ repeatIn(objects,'o') ]]</para>
-        <section>
-
-        <para style="info_header">
-            <b>[[ get_report_title(o) ]]</b> <br/>
-            <b>Company:</b> [[ company.name.upper() ]].<br/>
-            <b>Fiscalyear:</b> [[ get_fiscalyear_print_info(data['fiscalyear']) ]].<br/>
-            <b>Period:</b> [[ get_period_print_info(data['period'],data['report_type']) ]] <br/><br/>
-        </para>
-        <para>[[ get_total_ifrs_lines(o) ]] </para>
-        <para>[[ get_periods_name_list(o,data['fiscalyear']) ]]</para>
-        <!-- header row table -->
-        <blockTable style="header_table_style" colWidths="112.4mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm">
-            <tr>
-                <td><para alignment="center">[[get_column_name(0)]]</para></td>
-                <td><para alignment="center">[[get_column_name(1)]]</para></td>
-                <td><para alignment="center">[[get_column_name(2)]]</para></td>
-                <td><para alignment="center">[[get_column_name(3)]]</para></td>
-                <td><para alignment="center">[[get_column_name(4)]]</para></td>
-                <td><para alignment="center">[[get_column_name(5)]]</para></td>
-                <td><para alignment="center">[[get_column_name(6)]]</para></td>
-                <td><para alignment="center">[[get_column_name(7)]]</para></td>
-                <td><para alignment="center">[[get_column_name(8)]]</para></td>
-                <td><para alignment="center">[[get_column_name(9)]]</para></td>
-                <td><para alignment="center">[[get_column_name(10)]]</para></td>
-                <td><para alignment="center">[[get_column_name(11)]]</para></td>
-                <td><para alignment="center">[[get_column_name(12)]]</para></td>
-            </tr>
-        </blockTable>
-		<section>
-			<para>[[ repeatIn(o.ifrs_lines_ids,'ifrs_l') ]]</para>
-			<blockTable> [[ setTag('blockTable','blockTable', {'colWidths' : '112.4mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm,24.96mm', 'style' : get_row_style()+'_row_style'}) ]]
-				<para>[[ ifrs_l.invisible and removeParentNode('blockTable') ]]</para>
-				<tr>
-					<td>
-						<para> [[ setTag('para','para', {'style': 'padding_level_0' })]] [[ ifrs_l.name]] </para>
-					</td>
-					<td><para style="numeric_data_table_style2">[[ formatLang( get_amount_value(ifrs_l, 1, data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-					<td><para style="numeric_data_table_style2">[[ formatLang( get_amount_value(ifrs_l, 2,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-					<td><para style="numeric_data_table_style2">[[ formatLang( get_amount_value(ifrs_l, 3,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-					<td><para style="numeric_data_table_style2">[[ formatLang( get_amount_value(ifrs_l, 4,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-					<td><para style="numeric_data_table_style2">[[ formatLang( get_amount_value(ifrs_l, 5,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-					<td><para style="numeric_data_table_style2">[[ formatLang( get_amount_value(ifrs_l, 6,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-					<td><para style="numeric_data_table_style2">[[ formatLang( get_amount_value(ifrs_l, 7,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-					<td><para style="numeric_data_table_style2">[[ formatLang( get_amount_value(ifrs_l, 8,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-					<td><para style="numeric_data_table_style2">[[ formatLang( get_amount_value(ifrs_l, 9,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-					<td><para style="numeric_data_table_style2">[[ formatLang( get_amount_value(ifrs_l, 10,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-					<td><para style="numeric_data_table_style2">[[ formatLang( get_amount_value(ifrs_l, 11,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-					<td><para style="numeric_data_table_style2">[[ formatLang( get_amount_value(ifrs_l, 12,data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-				</tr>
-			</blockTable>
-		</section>
-        </section>
-    </story>
-</document>

=== removed file 'ifrs_report/report/parser.py'
--- ifrs_report/report/parser.py	2013-05-26 18:30:40 +0000
+++ ifrs_report/report/parser.py	1970-01-01 00:00:00 +0000
@@ -1,275 +0,0 @@
-#!/usr/bin/python
-# -*- encoding: utf-8 -*-
-###########################################################################
-#	Module Writen to OpenERP, Open Source Management Solution
-#	Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
-#	All Rights Reserved
-###############Credits######################################################
-#	Coded by: Katherine Zaoral <katherine.zaoral@vauxoo.com>
-#	Coded by: Yanina Aular <yanina.aular@vauxoo.com>
-#	Planified by: Humberto Arocha <hbto@vauxoo.com>
-#	Audited by: Nhomar Hernandez <nhomar@vauxoo.com>
-#############################################################################
-#	This program is free software: you can redistribute it and/or modify
-#	it under the terms of the GNU Affero General Public License as published by
-#	the Free Software Foundation, either version 3 of the License, or
-#	(at your option) any later version.
-#
-#	This program is distributed in the hope that it will be useful,
-#	but WITHOUT ANY WARRANTY; without even the implied warranty of
-#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#	GNU Affero General Public License for more details.
-#
-#	You should have received a copy of the GNU Affero General Public License
-#	along with this program.  If not, see <http://www.gnu.org/licenses/>.
-################################################################################
-
-
-import time
-from report import report_sxw
-import mx.DateTime
-
-
-class ifrs_report(report_sxw.rml_parse):
-
-    _iter_record = 0
-    _fy = False
-    _total_record = 0
-    _period_info_list = []    #~ [ 0 : period_enumerate, 1 : period_id, 2 : period_name ]
-    _title_line = ' '
-
-    def __init__(self, cr, uid, name, context):
-        super(ifrs_report, self).__init__(cr, uid, name, context=context)
-        self.localcontext.update({
-            'time': time,
-            'get_lines': self._get_lines,
-            'get_hour': self._get_hour,
-            'get_time': self._get_time,
-            #~ Format method helpers
-            'get_total_ifrs_lines': self._get_total_ifrs_lines,
-            'get_padding_level' : self._get_padding_level,
-            'get_row_style' : self._get_row_style,
-            'get_td_format' : self._get_td_format,
-            'get_amount_format' : self._get_amount_format,
-            #~ Dinamic data
-            'get_report_title' : self._get_report_title,
-            'get_periods_name_list' : self._get_periods_name_list,
-            'get_column_name'  : self._get_column_name,
-            'get_amount_value' : self._get_amount_value,
-            'get_fiscalyear_print_info' : self._get_fiscalyear_print_info,
-            'get_period_print_info' : self._get_period_print_info,
-            'get_partner_detail' : self.get_partner_detail
-        })
-        self.cr = cr
-        self.context = context
-        self.uid = uid
-
-        #~ self.cr.execute("select ifrs_lines_ids from ifrs_ifrs where id=%s", str(uid) )
-        #~ print "cr.fetchone() = " + str(cr.fetchone())
-        #~ # raro pero me dice que no existe la columna ifrs_lines_ids
-
-    def _get_lines(self, ifrs_brws):
-        res = {}
-
-        for ifrs_line in ifrs_brws.ifrs_lines_ids:
-            p = ifrs_line.id
-
-            if ifrs_line.type != 'abtract':
-                res[p] = {'name':ifrs_line.name,'amount':ifrs_line.amount}
-
-        return (res,)
-
-    def _get_hour(self,float_hour,format='hh:mm:ss'):
-        seconds=int(float_hour*3600)
-        hours = seconds / 3600
-        seconds -= 3600*hours
-        minutes = seconds / 60
-        seconds -= 60*minutes
-        return format=='hh:mm:ss' and "%02d:%02d:%02d" % (hours, minutes, seconds) or "%02d:%02d" % (hours, minutes+round(seconds/60.0))
-
-    def _get_time(self, strtime = time.strftime('%Y-%m-%d %H:%M:%S')):
-        t = time.strptime(strtime,'%Y-%m-%d %H:%M:%S')
-        t = time.mktime(t)
-
-        return time.strftime('%Y-%m-%d', time.gmtime(t))
-
-    #########################################################################################################################
-    #~ Dinamic Data
-
-    def _get_report_title(self, ifrs_doc):
-
-        """ Return the current IFRS doc name """
-        #~ TODO al agregar el campo de codigo en el ifrs concatenar cadena
-        return '[' + str(ifrs_doc.code) + '] ' + str(ifrs_doc.title)
-
-    def _get_periods_name_list(self, ifrs_obj,fiscalyear_id):
-
-        """devuelve una lista con la info de los periodos fiscales (numero mes, id periodo, nombre periodo)"""
-
-        period_list = self._period_info_list = []
-        period_list.append( ('0', None , self._title_line ) ) 
-
-        fiscalyear_bwr = self.pool.get('account.fiscalyear').browse(self.cr, self.uid, fiscalyear_id)
-        
-        periods_ids = fiscalyear_bwr._get_fy_period_ids()
-
-        periods = self.pool.get('account.period')
-        
-        for ii, period_id in enumerate(periods_ids, start=1):
-            period_list.append((str(ii), period_id, periods.browse(self.cr, self.uid, period_id).name ))
-
-        self._period_info_list = period_list
-        self._fy = fiscalyear_id
-        
-    def _get_column_name(self, column_num):
-
-        """devuelve string con el nombre del periodo que debe titular ese numero de columna"""
-
-        return self._period_info_list[column_num][2]
-
-    def exchange(self, from_amount):
-        if self.from_currency_id == self.to_currency_id:
-            return from_amount
-        curr_obj = self.pool.get('res.currency')
-        return curr_obj.compute(self.cr, self.uid, self.from_currency_id, self.to_currency_id, from_amount)
-
-    def _get_amount_value(self, ifrs_line, period_num=None, target_move=None, pd=None, undefined=None, two=None):
-        
-        '''devuelve la cantidad correspondiente al periodo'''
-        self.from_currency_id = ifrs_line.ifrs_id.company_id.currency_id.id
-        self.to_currency_id = ifrs_line.ifrs_id.currency_id.id
-
-        context = {}
-        if period_num:
-            if two:
-                context = {'period_from': period_num, 'period_to':period_num, 'state': target_move, 'partner_detail':pd, 'fiscalyear':self._fy}
-            else:
-                period_id = self._period_info_list[period_num][1]
-                context = {'period_from': period_id, 'period_to':period_id, 'state': target_move, 'partner_detail':pd, 'fiscalyear':self._fy}
-        else:
-            context = {'whole_fy': 'True'} 
-
-        ifrs_l_obj = self.pool.get('ifrs.lines')
-        res = ifrs_l_obj._get_sum(self.cr, self.uid, ifrs_line.id, context = context)
-        if ifrs_line.type == 'detail':
-            res = self.exchange(res)
-        elif ifrs_line.type == 'total':
-            if ifrs_line.operator not in ('percent','ratio'):
-                if ifrs_line.comparison not in ('percent','ratio','product'):
-                    res = self.exchange(res)
-        return res
-
-    def _get_fiscalyear_print_info(self, fiscalyear_id):
-
-        ''' Return all the printable information about fiscalyear'''
-
-        fiscalyear = self.pool.get('account.fiscalyear').browse(self.cr, self.uid, fiscalyear_id)
-        res = str(fiscalyear.name) + ' [' + str(fiscalyear.code) + ']'
-        return res
-
-    def _get_period_print_info(self, period_id, report_type):
-
-        ''' Return all the printable information about period'''
-
-        if report_type == 'all':
-            res = 'All Periods of the fiscalyear.'
-        else:
-            period = self.pool.get('account.period').browse(self.cr, self.uid, period_id)
-            res = str(period.name) + ' [' + str(period.code) + ']'
-
-        return res
-
-    #########################################################################################################################
-    #~ Format method helpers
-
-    def _get_total_ifrs_lines(self, ifrs_brws):
-
-        res = 0
-        for ifrs_line in ifrs_brws.ifrs_lines_ids:
-            res += 1
-
-        self._total_record = res
-        self._iter_record = res
-
-    def _get_padding_level(self, level):
-        return "padding_level_"+str(level)
-        #~ OJO::: el level_padding de total es que ¿? cual le pones...
-        #~ OJO::: cuidado como se utiliza el level_padding = 0
-        #~ TODO: remake with new modeling of ifrs.ifrs models
-
-    def _get_row_style(self):
-
-        """ Return the name of the row style (defined at .rml) """
-
-        if self._iter_record == self._total_record:
-            res_style = "first"
-        else:
-            if self._iter_record % 2:
-                res_style = "dark_color"
-            else:
-                res_style = "light_color"
-
-        self._iter_record-=1
-        return res_style
-
-    #~ NOTAK; No la he utilizado todavia
-    def _get_amount_format(self, amount):
-        #~ """ auto-doc: _get_amount_format() return the format, '(negative amount)' or 'amount' depending of the amount sign """
-        if amount < 0.0:
-            amount = '('+str(amount)+')'
-        return amount
-
-    #~ NOTAK; No la he utilizado todavia
-    def _get_td_format(self, ifrsl_type):
-        #~ """ auto-doc: _get_td_format() return the style of the cell for amount, total type (with a black thick line below) or simple (dont apply any format) """
-        if ifrsl_type in 'total':
-            return amount
-        else:
-            return "simple_amount_data"
-        
-    def get_partner_detail(self, ifrs_l):
-        ifrs = self.pool.get('ifrs.lines')
-        aml_obj = self.pool.get('account.move.line')
-        account_obj = self.pool.get('account.account')
-        partner_obj = self.pool.get('res.partner')
-        res = []
-        if ifrs_l.type =='detail':
-            ids2 = [lin.id for lin in ifrs_l.cons_ids]
-            ids3 = ids2 and account_obj._get_children_and_consol(self.cr, self.uid, ids2) or []
-            if ids3:
-                self.cr.execute(""" SELECT rp.id
-                    FROM account_move_line l JOIN res_partner rp ON rp.id = l.partner_id
-                    WHERE l.account_id IN %s
-                    GROUP BY rp.id 
-                    ORDER BY rp.name ASC""", ( tuple(ids3), ) 
-                    )
-                dat = self.cr.dictfetchall()
-                res = [lins for lins in partner_obj.browse( self.cr, self.uid, [li['id'] for li in dat] )]
-        return res
-
-report_sxw.report_sxw(
-    'report.ifrs',
-    'ifrs.ifrs',
-    'ifrs_report/report/ifrs_cash_flow_indirect.rml',
-    parser=ifrs_report,
-    header = False
-)
-
-report_sxw.report_sxw(
-    'report.ifrs_12',
-    'ifrs.ifrs',
-    'ifrs_report/report/ifrs_cash_flow_indirect_12.rml',
-    parser=ifrs_report,
-    header = False
-)
-
-report_sxw.report_sxw(
-    'report.webkitaccount.ifrs_12',
-    'ifrs.ifrs',
-    'addons/ifrs_report/report/report_webkit_html_12.mako',
-    parser=ifrs_report,
-    header = False
-)
-
-
-# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== modified file 'ifrs_report/report/report_ifrs.xml'
--- ifrs_report/report/report_ifrs.xml	2013-05-24 21:34:42 +0000
+++ ifrs_report/report/report_ifrs.xml	2013-06-05 02:37:38 +0000
@@ -7,38 +7,16 @@
             name="ifrs"
             string="Print IFRS"
             model="ifrs.ifrs"
-            rml="ifrs_report/report/ifrs_cash_flow_indirect.rml"
-            multi="True"
-            header="False"
-            auto = "False"
-            menu="False"
-            />
-
-        <report
-            id="ifrs_report_12"
-            name="ifrs_12"
-            string="Print Monthly IFRS"
-            model="ifrs.ifrs"
-            rml="ifrs_report/report/ifrs_cash_flow_indirect_12.rml"
-            multi="True"
-            header="False"
-            auto = "False"
-            menu="False"
-            />
-
-        <report
-            id="ifrs_report_12_partner_detail"
-            name="ifrs_12_partner_detail"
-            string="Print Monthly IFRS"
-            model="ifrs.ifrs"
-            rml="ifrs_report/report/ifrs_cash_flow_indirect_12_partner_detail.rml"
-            multi="True"
-            header="False"
-            auto = "False"
-            menu="False"
-            />
-            
-            <report auto="False"
+            file="ifrs_report/report/report_webkit_html.mako"
+            multi="True"
+            header="False"
+            auto = "True"
+            menu="False"
+            report_type="webkit"
+            />
+
+        <report 
+                auto="True"
                 id="report_webkit_html_12"
                 model="ifrs.ifrs"
                 name="webkitaccount.ifrs_12"
@@ -47,7 +25,5 @@
                 report_type="webkit"
                 webkit_header="ir_header_webkit_ifrsreport"
                 multi="True"/>
-                
-
     </data>
 </openerp>

=== renamed file 'ifrs_report/report/ifrs_cash_flow_indirect.rml' => 'ifrs_report/report/report_webkit_html.mako'
--- ifrs_report/report/ifrs_cash_flow_indirect.rml	2013-05-24 21:34:42 +0000
+++ ifrs_report/report/report_webkit_html.mako	2013-06-05 02:37:38 +0000
@@ -1,126 +1,68 @@
-<?xml version="1.0"?>
-<document filename="test.pdf">
-
-    <template pageSize="(215.9mm,279.4mm)" title="IFRS" author="Yanina Aular y Katherine Zaoral" allowSplitting="1" showBoundary="0">
-    <pageTemplate id="first">
-
-        <pageGraphics>
-
-            <!-- COMPANY LOGO -->
-            <image x="100.0mm" y="252.0mm" height="15mm" >[[company.logo and company.logo or removeParentNode('image')]]</image>
-
-            <!-- REPORT CURVE BORDER  -->
-            <stroke color="black"/>
-            <rect x="10mm" y="10mm" width="195.9mm" height="259.4mm" fill="no" stroke="yes" round="2.5mm" />
-
-            <!-- FOOTER -->
-            <drawString x="10mm" y="5mm">Reporte Impreso en OpenERP con ReportLab</drawString>
-            <drawRightString x="200mm" y="5mm">Fecha de Impresion:  [[formatLang(time.strftime('%Y-%m-%d'),date=True)]] [[time.strftime('%H:%m')]] / Pagina:<pageNumber/> </drawRightString>
-
-        </pageGraphics>
-
-        <frame id="first" x1="10mm" y1="10mm" width="195.9mm" height="259.0mm"/>
-    </pageTemplate>
-    </template>
-
-    <stylesheet>
-
-        <!-- Header styles -->
-
-            <paraStyle
-                name="info_header"
-                fontName="Helvetica"
-                fontSize="10.0"
-                textColor="black"
-            />
-
-        <!-- Pappding style for ifrs lines -->
-
-            <paraStyle name="padding_level_0" leftIndent="0"  fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_1" leftIndent="15" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_2" leftIndent="30" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_3" leftIndent="45" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_4" leftIndent="60" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_5" leftIndent="75" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-            <paraStyle name="padding_level_6" leftIndent="90" fontName="Helvetica" fontSize="9.0" alignment="left"/>
-
-        <!-- Data Table Styles -->
-
-            <!-- Numeric Data  -->
-            
-            <paraStyle
-                name="numeric_data_table_style"
-                fontName="Helvetica"
-                fontSize="9.0"
-                alignment="right"
-            />
-
-            <!-- Row Styles -->
-
-                <blockTableStyle id="header_table_style">
-                    <blockValign value="CENTER"/>
-                    <blockAlignment value="CENTER"/>
-                    <lineStyle kind="LINEABOVE" colorName="black" thickness="1" />
-                    <blockFont name="Helvetica" size="9.0" start="1,0" stop="-1,0"/>
-                    <blockBackground colorName="#ECFFDC"/>
-                </blockTableStyle>
-
-                <blockTableStyle id="first_row_style">
-                    <blockBackground colorName="#ECFFDC"/>
-                    <lineStyle kind="INNERGRID" colorName="black" thickness="0"/>
-                    <lineStyle kind="LINEABOVE" colorName="black" thickness="1"/>
-                </blockTableStyle>
-
-                <blockTableStyle id="dark_color_row_style">
-                    <blockBackground colorName="#ECFFDC"/>
-                    <lineStyle kind="INNERGRID" colorName="black" thickness="0" />
-                </blockTableStyle>
-
-                <blockTableStyle id="light_color_row_style">
-                    <blockBackground colorName="white"/>
-                    <lineStyle kind="INNERGRID" colorName="black" thickness="0" />
-                </blockTableStyle>
-
-            <!-- Amount Cell Stype (total or simple) -->
-
-                <blockTableStyle id="total_amount_row_style">
-                    <lineStyle kind="LINEBELOW" thickness="1" />
-                </blockTableStyle>
-
-                <blockTableStyle id="simple_amount_row_style">
-                </blockTableStyle>
-
-    </stylesheet>
-
-    <story>
-
-        <para>[[ repeatIn(objects,'o') ]]</para>
-        <section>
-
-        <para style="info_header">
-            <b>[[ get_report_title(o) ]]</b> <br/>
-            <b>Company:</b> [[ company.name.upper() ]].<br/>
-            <b>Fiscalyear:</b> [[ get_fiscalyear_print_info(data['fiscalyear']) ]].<br/>
-            <b>Period:</b> [[ get_period_print_info(data['period'],data['report_type']) ]] <br/><br/>
-        </para>
-
-        <para>[[ get_total_ifrs_lines(o) ]] </para>
-        <para>[[ get_periods_name_list(o,data['fiscalyear']) ]]</para>
-
-        <!-- data row table -->
-        <section>
-        <para>[[ repeatIn(o.ifrs_lines_ids,'ifrs_l') ]]</para>
-        <blockTable> [[ setTag('blockTable','blockTable', {'colWidths' : '115.0mm,40.0mm,40.0mm', 'style' : get_row_style()+'_row_style'}) ]]
-            <para>[[ ifrs_l.invisible and removeParentNode('blockTable') ]]</para>
-            <tr>
-                <td><para> [[ setTag('para','para', {'style': get_padding_level(ifrs_l.level) })]] [[ ifrs_l.name]] </para></td>
-                <td><para style="numeric_data_table_style">[[ ifrs_l.type=='detail' and formatLang( get_amount_value(ifrs_l, data['period'], two=True), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-                <td><para style="numeric_data_table_style">[[ ifrs_l.type=='total' and  formatLang( get_amount_value(ifrs_l, data['period'], two=True), digits=2, date=False, date_time=False, grouping=3, monetary=False) ]]</para></td>
-            </tr>
-        </blockTable>
-        </section>
-
-        </section>
-
-    </story>
-</document>
+<html xmlns="http://www.w3.org/TR/REC-html40" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:w="urn:schemas-microsoft-com:office:word">
+<head>
+	
+    <style type="text/css">
+        ${css}
+       
+    </style>
+<table>
+	<tr>
+		
+<td width="30%" rowspan="5"><b>Reporte Impreso en OpenErp con Webkit</b></td>
+<td width="30%" rowspan="5"><b>Fecha de Impresi&oacute;n:${formatLang(time.strftime('%Y-%m-%d'),date=True)} ${time.strftime('%H:%m')}</b></td>
+</tr>
+</table>
+</head>
+
+
+<body style="border:0; margin: 0;" onload="subst()" >
+    %for ifrs in objects :
+	<table>
+		<tr>
+			<td>
+				<table class="dest_address " style="border-bottom: 0px solid black; width: 100%">
+					<tr><td><b>[${ifrs.code or ''|entity}] ${ifrs.name or ''|entity}</b></td></tr>
+					<tr><td>${ifrs.company_id.name or ''|entity}</td></tr>
+					<tr><td>${ifrs.fiscalyear_id.name or ''|entity}</td></tr>
+					<tr><td>${ ifrs.ifrs_lines_ids[0]._get_period_print_info(data['period'],data['report_type']) }</td></tr>
+				</table>
+			</td>
+			<td>
+			<table>
+				%try:
+					<tr><td>${helper.embed_logo_by_name('company_logo',40,60)|n}</td></tr>
+				%except:
+					<tr><td></td></tr>
+				%endtry
+			</table>
+			</td>
+		</tr>
+	</table> 
+
+<table class="list_table" width="90%">
+    <%
+        period_name = ifrs.ifrs_lines_ids[0]._get_periods_name_list(data['fiscalyear'])
+    %>
+    
+	 %for ifrs_l in ifrs.ifrs_lines_ids:
+	<tbody>
+		 %if not ifrs_l.invisible:
+			<td>
+				${ifrs_l.name}
+			</td>
+			<td>
+				${ifrs_l.type=='detail' and formatLang( ifrs.ifrs_lines_ids[0]._get_amount_value(ifrs_l, period_name, data['fiscalyear'], data['exchange_date'], data['currency_wizard'], data['period'], two=True), digits=2, date=False, date_time=False, grouping=3, monetary=False) or ''|entity}
+			</td>
+			<td>
+				${ifrs_l.type=='total' and  formatLang( ifrs.ifrs_lines_ids[0]._get_amount_value(ifrs_l, period_name, data['fiscalyear'], data['exchange_date'], data['currency_wizard'], data['period'], two=True), digits=2, date=False, date_time=False, grouping=3, monetary=False) or ''|entity}
+			</td>
+		  %endif
+
+
+	</tbody>
+	%endfor
+</table>
+
+    %endfor
+</body>
+</html>

=== modified file 'ifrs_report/report/report_webkit_html_12.mako'
--- ifrs_report/report/report_webkit_html_12.mako	2013-05-24 21:34:42 +0000
+++ ifrs_report/report/report_webkit_html_12.mako	2013-06-05 02:37:38 +0000
@@ -8,120 +8,108 @@
 
 <body style="border:0; margin: 0;" onload="subst()">
     %for ifrs in objects :
-	<table>
-		<tr>
-			<td>
-				<table class="dest_address " style="border-bottom: 0px solid black; width: 100%">
-					<tr><td><b>[${ifrs.code or ''|entity}] ${ifrs.name or ''|entity}</b></td></tr>
-					<tr><td>${ifrs.company_id.name or ''|entity}</td></tr>
-					<tr><td>${ifrs.fiscalyear_id.name or ''|entity}</td></tr>
-					<tr><td>${ get_period_print_info(data['period'],data['report_type']) }</td></tr>
-				</table>
-			</td>
-			<td>
-			<table>
-				%try:
-					<tr><td>${helper.embed_logo_by_name('company_logo',80,60)|n}</td></tr>
-				%except:
-					<tr><td></td></tr>
-				%endtry
-			</table>
-			</td>
-		</tr>
-	</table> 
+    <table>
+        <tr>
+            <td>
+                <table class="dest_address " style="border-bottom: 0px solid black; width: 100%">
+                    <tr><td><b>[${ifrs.code or ''|entity}] ${ifrs.name or ''|entity}</b></td></tr>
+                    <tr><td>${ifrs.company_id.name or ''|entity}</td></tr>
+                    <tr><td>${ifrs.fiscalyear_id.name or ''|entity}</td></tr>
+                    <tr><td>${ ifrs.ifrs_lines_ids[0]._get_period_print_info(data['period'],data['report_type']) }</td></tr>
+                </table>
+            </td>
+            <td>
+            <table>
+                %try:
+                    <tr><td>${helper.embed_logo_by_name('company_logo',80,60)|n}</td></tr>
+                %except:
+                    <tr><td></td></tr>
+                %endtry
+            </table>
+            </td>
+        </tr>
+    </table> 
 
 
     <table class="list_table"  width="90%">
-		<%
-			get_periods_name_list(o,data['fiscalyear'])
-		%>
-		<thead>
-			<tr>
-				<th class="celda_border">Descripcion</th>
-				%for li in range(1, 13):
-					<th class="celda">
-						%try:
-							${ get_column_name(li) }
-						%except:
-							/
-						%endtry
-					</th>
-				%endfor
-			</tr>
-		</thead>
-		
-		%for ifrs_l in ifrs.ifrs_lines_ids:
-			<%
-				res = {}
-				res_total = {}
-				row_count = 1
-			%>
-			<tbody>
-				
-			<tr class="prueba">
-				<th class="celda3">${ifrs_l.name}</th>
-				%for lins in range(1, 13):
-					<%
-						try:
-							res_total.setdefault('total_%s'%lins, 0)
-							res_total['total_%s'%lins] += get_amount_value(ifrs_l, lins, data['target_move'])
-						except:
-							pass
-					%>
-					<td class="celda2">
-						%try:
-							${formatLang( get_amount_value(ifrs_l, lins, data['target_move']), digits=2, date=False, date_time=False, grouping=3, monetary=False)}
-						%except:
-							0.0
-						%endtry
-					</td>
-				%endfor 
-			</tr>
-			
-			%for ifrs_al in get_partner_detail(ifrs_l):
-				%if ifrs_al:
-					%if (row_count%2==0):
-						<tr class="nonrow">
-					%else:
-						<tr>
-					%endif
-						<th class="justify">${ifrs_al.name or ''|entity}</th>
-						%for lin in range(1, 13):
-							<%
-								try:
-									res.setdefault('total_%s'%lin, 0)
-									res['total_%s'%lin] += get_amount_value(ifrs_l, lin, data['target_move'], ifrs_al.id)
-								except:
-									pass
-							%>
-							<td class="celda_border">
-								%try:
-									${formatLang( get_amount_value(ifrs_l, lin, data['target_move'], ifrs_al.id), digits=2, date=False, date_time=False, grouping=3, monetary=False)}
-								%except:
-									0.0
-								%endtry:
-							</td>
-						%endfor
-					</tr>
-				%endif
-				<%row_count+=1%>
-			%endfor
-			%if ifrs_l.type != 'total':
-				<tr> 
-					<th class="justify">Undefined</th>
-					%for line in range(1, 13):
-						<%
-							total_detail= abs(res.get('total_%s'%line, 0.0))
-							total_period = abs(res_total.get('total_%s'%line, 0.0))
-							total_undefined = total_period - total_detail
-							total_undefined = abs(total_undefined)
-						%>
-						<td class="celda_border">${formatLang( total_undefined, digits=2, date=False, date_time=False, grouping=3, monetary=False)}</td>
-					%endfor
-				</tr>
-			%endif
-		%endfor
-		</tbody>
+        <%
+            period_name = ifrs.ifrs_lines_ids[0]._get_periods_name_list(data['fiscalyear'])
+        %>
+        <thead>
+            <tr>
+                <th class="celda_border">Descripcion</th>
+                %for li in range(1, 13):
+                    <th class="celda">
+                        %try:
+                            ${ period_name[li][2] }
+                        %except:
+                            /
+                        %endtry
+                    </th>
+                %endfor
+            </tr>
+        </thead>
+        
+        %for ifrs_l in ifrs.ifrs_lines_ids:
+            <%
+                res = {}
+                res_total = {}
+                row_count = 1
+            %>
+            <tbody>
+                
+            <tr class="prueba">
+                <th class="celda3">${ifrs_l.name}</th>
+                %for lins in range(1, 13):
+                    <%
+                        try:
+                            res_total.setdefault('total_%s'%lins, 0)
+                            amount_value = ifrs.ifrs_lines_ids[0]._get_amount_value(ifrs_l, period_name, data['fiscalyear'], data['exchange_date'], data['currency_wizard'], lins, data['target_move']) 
+                            res_total['total_%s'%lins] += amount_value 
+                        except:
+                            pass
+                    %>
+                    <td class="celda2">
+                        %try:
+                            ${formatLang(amount_value, digits=2, date=False, date_time=False, grouping=3, monetary=False)}
+                        %except:
+                            22.22
+                        %endtry
+                    </td>
+                %endfor 
+            </tr>
+            
+            %for ifrs_al in ifrs.ifrs_lines_ids[0]._get_partner_detail(ifrs_l):
+                %if ifrs_al:
+                    %if (row_count%2==0):
+                        <tr class="nonrow">
+                    %else:
+                        <tr>
+                    %endif
+                        <th class="justify">${ifrs_al.name or ''|entity}</th>
+                        %for lin in range(1, 13):
+                            <%
+                                try:
+                                    res.setdefault('total_%s'%lin, 0)
+                                    amount_value = ifrs.ifrs_lines_ids[0]._get_amount_value(ifrs_l, period_name, data['fiscalyear'],data['exchange_date'], data['currency_wizard'], lin, data['target_move'], ifrs_al.id)
+                                    res['total_%s'%lin] += amount_value
+                                except:
+                                    pass
+                            %>
+                            <td class="celda_border">
+                                %try:
+                                    ${formatLang( amount_value, digits=2, date=False, date_time=False, grouping=3, monetary=False)}
+                                %except:
+                                    0.0
+                                %endtry:
+                            </td>
+                        %endfor
+                    </tr>
+                %endif
+                <%row_count+=1%>
+            %endfor
+        %endfor
+        </tbody>
     </table>
     %endfor
 </body>

=== modified file 'ifrs_report/view/ifrs_view.xml'
--- ifrs_report/view/ifrs_view.xml	2013-05-26 18:30:40 +0000
+++ ifrs_report/view/ifrs_view.xml	2013-06-05 02:37:38 +0000
@@ -27,7 +27,7 @@
 			<field name="name" />
               <field name="company_id" on_change='onchange_company_id(company_id)' required="1"/>
               <field name="code" />
-			  <field name="currency_id" required="1"/>
+			  <field name="currency_id" required="1" readonly="1"/>
               <field name="title" />
 			  <field name="fiscalyear_id" required="1"/>
               <group colspan='2' col='3'>

=== modified file 'ifrs_report/wizard/ifrs_report_wizard.py'
--- ifrs_report/wizard/ifrs_report_wizard.py	2013-05-26 18:30:40 +0000
+++ ifrs_report/wizard/ifrs_report_wizard.py	2013-06-05 02:37:38 +0000
@@ -60,8 +60,9 @@
             string='Type', required=True ),
         'columns': fields.selection( [
             ('ifrs','Two Columns'),
-            ('ifrs_12', 'Twelve Columns'),
-            ('webkitaccount.ifrs_12', 'With Partner Detail')],
+            ('webkitaccount.ifrs_12', 'Twelve Columns'),
+            #('ifrs_12_partner_detail', 'With Partner Detail')
+            ],
             string='Number of Columns' ),
         'target_move': fields.selection([('posted', 'All Posted Entries'),
                                         ('all', 'All Entries'),
@@ -108,6 +109,8 @@
         datas['company'] = wizard_ifrs.company_id.id
         datas['columns'] = str(wizard_ifrs.columns)
         datas['target_move'] = wizard_ifrs.target_move
+        datas['exchange_date'] = wizard_ifrs.exchange_date
+        datas['currency_wizard'] = wizard_ifrs.currency_id.id 
 
         if datas['report_type'] == 'all':
             datas['fiscalyear'] = wizard_ifrs.fiscalyear_id.id or self._get_fiscalyear(cr, uid, context=context)
@@ -116,7 +119,7 @@
             datas['columns'] = 'ifrs'
             datas['period'] = wizard_ifrs.period.id or self._get_period( cr, uid, context=context )
             datas['fiscalyear'] = self._get_fiscalyear(cr, uid, context=context, period_id=datas['period'])
-
+        
         return {
             'type': 'ir.actions.report.xml',
             'report_name': datas['columns'],

=== added directory 'project_conf'
=== added file 'project_conf/__init__.py'
--- project_conf/__init__.py	1970-01-01 00:00:00 +0000
+++ project_conf/__init__.py	2013-05-17 15:53:18 +0000
@@ -0,0 +1,1 @@
+#import model

=== added file 'project_conf/__openerp__.py'
--- project_conf/__openerp__.py	1970-01-01 00:00:00 +0000
+++ project_conf/__openerp__.py	2013-06-03 21:22:13 +0000
@@ -0,0 +1,83 @@
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution    
+#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
+#    d$
+###############Credits######################################################
+#    Coded by: Vauxoo C.A. (Maria Gabriela Quilarque)          
+#    Planified by: Nhomar Hernandez
+#    Audited by: Vauxoo C.A.
+##############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+{
+    "name" : "Project Configuration",
+    "version" : "0.1",
+    "depends" : ["base","project","email_template"],
+    "author" : ["Vauxoo",],
+    "description" : """
+Project Configuration
+=====================
+
+**When you install this module:**
+   * Load  two new columns called:
+        * Backlog.
+        * Project Leader.
+
+.. image:: project_conf/static/src/img/columns.png
+.
+   * Load the templates automatically:
+       * Envio de Tarea por Email: Email Template to send email by task. 
+       * Template to Outgoing mail server.
+       * Envio de Reporte de Credenciales del Server: After install server, the user should send this email.
+
+**What need you do after install this module:**
+
+    - For configurate server go to the Menu: Setting->Technical->Email->Outgoing Mail Servers->OUT SERVER, set password for username and Test Conecction.
+   
+.. image:: project_conf/static/src/img/test_connection.png
+.
+    - For active any template go to the Menu: Setting->Technical->Email->Templates, select the template and action triggers **Act context action**:
+   
+.. image:: project_conf/static/src/img/add_context_action.png
+.
+      And before for see the action, go to any task and press More-> Send Mail (New Task)
+      
+.. image:: project_conf/static/src/img/send_mail.png
+.
+    
+    - Go to the Users and set the Email.
+    - Go to the Menu: Settings-> Technical-> Scheduler -> Scheduler Actions. Sign in template: **Email Queue Manager**, configurate Interval Number,
+      and Interval Unit.
+    - Configurate for projects required the columns:
+          * Backlog.
+          * Project Leader.
+    - For template: **Envio de Reporte de Credenciales del Server**, you may replace words blue colors with real information.
+
+""",
+    "website" : "http://vauxoo.com",
+    "category" : "Generic Modules",
+    "init_xml" : [
+    ],
+    "demo_xml" : [
+    ],
+    "update_xml" : [
+      "data/project_conf.xml"
+    ],
+    "active": False,
+    "images": [],
+    "installable": True,
+}

=== added directory 'project_conf/data'
=== added file 'project_conf/data/project_conf.xml'
--- project_conf/data/project_conf.xml	1970-01-01 00:00:00 +0000
+++ project_conf/data/project_conf.xml	2013-06-03 21:22:13 +0000
@@ -0,0 +1,624 @@
+<?xml version="1.0"?>
+<openerp>
+    <data noupdate="1">
+    <!-- 
+    =====================================================
+    SERVERT OUT
+    =====================================================
+    -->
+        <record id="template_outgoing_mail_server" model="ir.mail_server">
+            <field name="name">SERVER OUT</field>
+            <field name="smtp_host">smtp.gmail.com</field>
+            <field name="sequence">15</field>
+            <field name="smtp_port">465</field>
+            <field name="smtp_encryption">ssl</field>
+            <field name="smtp_user">soporte@vauxoo.com</field>
+            <field name="smtp_pass"></field>
+        </record>
+
+    <!-- 
+    =====================================================
+    TASK STAGE: BACKLOG
+    =====================================================
+    -->
+        <record id="project_tt_backlog" model="project.task.type">
+            <field name="sequence">0</field>
+            <field name="name">Backlog</field>
+            <field name="state">draft</field>
+            <field name="case_default" eval="True"/>
+        </record>
+        
+    <!-- 
+    =====================================================
+    TASK STAGE: Testing Leader
+    =====================================================
+    -->
+        <record id="project_tt_leader" model="project.task.type">
+            <field name="sequence">6</field>
+            <field name="name">Testing Leader</field>
+            <field name="state">pending</field>
+            <field name="case_default" eval="True"/>
+        </record>
+    
+    <!-- 
+    =====================================================
+    SEND EMAIL TEMPLATE
+    =====================================================
+    -->        
+        <record id="template_send_email_task_new" model="email.template">
+            <field name="name">Envio de Tarea por Email</field>
+            <field name="email_from">soporte@vauxoo.com</field>
+            <field name="model_id" ref="project.model_project_task" />
+            <field name="subject">#${object.id} - ${object.name} - ${object.partner_id.name and object.partner_id.name or ''}</field>
+            <field name="auto_delete" eval="True"/>
+            <field name="mail_server_id" ref="template_outgoing_mail_server"/>
+            <field name="email_to">${object.user_id.email}</field>
+            <field name="email_cc">nhomar@vauxoo.com,rafael@vauxoo.com,hbto@vauxoo.com,gabriela@vauxoo.com</field>
+            <field name="body_html"><![CDATA[<html>
+    <head>
+        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
+        <title>*|MC:SUBJECT|*</title>
+		<style type="text/css">
+			/* Client-specific Styles */
+			#outlook a{padding:0;} /* Force Outlook to provide a "view in browser" button. */
+			body{width:100% !important;} .ReadMsgBody{width:100%;} .ExternalClass{width:100%;} /* Force Hotmail to display emails at full width */
+			body{-webkit-text-size-adjust:none;} /* Prevent Webkit platforms from changing default text sizes. */
+			
+			/* Reset Styles */
+			body{margin:0; padding:0;}
+			img{border:0; height:auto; line-height:100%; outline:none; text-decoration:none;}
+			table td{border-collapse:collapse;}
+			#backgroundTable{height:100% !important; margin:0; padding:0; width:100% !important;}
+			
+			/* Template Styles */
+			
+			/* /\/\/\/\/\/\/\/\/\/\ STANDARD STYLING: COMMON PAGE ELEMENTS /\/\/\/\/\/\/\/\/\/\ */
+
+			/**
+			* @tab Page
+			* @section background color
+			* @tip Set the background color for your email. You may want to choose one that matches your company's branding.
+			* @theme page
+			*/
+			body, #backgroundTable{
+				/*@editable*/ background-color:#FAFAFA;
+			}
+			
+			/**
+			* @tab Page
+			* @section email border
+			* @tip Set the border for your email.
+			*/
+			#templateContainer{
+				/*@editable*/ border:0;
+			}
+			
+			/**
+			* @tab Page
+			* @section heading 1
+			* @tip Set the styling for all first-level headings in your emails. These should be the largest of your headings.
+			* @style heading 1
+			*/
+			h1, .h1{
+				/*@editable*/ color:#202020;
+				display:block;
+				/*@editable*/ font-family:Arial;
+				/*@editable*/ font-size:40px;
+				/*@editable*/ font-weight:bold;
+				/*@editable*/ line-height:100%;
+				margin-top:2%;
+				margin-right:0;
+				margin-bottom:1%;
+				margin-left:0;
+				/*@editable*/ text-align:left;
+			}
+
+			/**
+			* @tab Page
+			* @section heading 2
+			* @tip Set the styling for all second-level headings in your emails.
+			* @style heading 2
+			*/
+			h2, .h2{
+				/*@editable*/ color:#404040;
+				display:block;
+				/*@editable*/ font-family:Arial;
+				/*@editable*/ font-size:18px;
+				/*@editable*/ font-weight:bold;
+				/*@editable*/ line-height:100%;
+				margin-top:2%;
+				margin-right:0;
+				margin-bottom:1%;
+				margin-left:0;
+				/*@editable*/ text-align:left;
+			}
+
+			/**
+			* @tab Page
+			* @section heading 3
+			* @tip Set the styling for all third-level headings in your emails.
+			* @style heading 3
+			*/
+			h3, .h3{
+				/*@editable*/ color:#606060;
+				display:block;
+				/*@editable*/ font-family:Arial;
+				/*@editable*/ font-size:16px;
+				/*@editable*/ font-weight:bold;
+				/*@editable*/ line-height:100%;
+				margin-top:2%;
+				margin-right:0;
+				margin-bottom:1%;
+				margin-left:0;
+				/*@editable*/ text-align:left;
+			}
+
+			/**
+			* @tab Page
+			* @section heading 4
+			* @tip Set the styling for all fourth-level headings in your emails. These should be the smallest of your headings.
+			* @style heading 4
+			*/
+			h4, .h4{
+				/*@editable*/ color:#808080;
+				display:block;
+				/*@editable*/ font-family:Arial;
+				/*@editable*/ font-size:14px;
+				/*@editable*/ font-weight:bold;
+				/*@editable*/ line-height:100%;
+				margin-top:2%;
+				margin-right:0;
+				margin-bottom:1%;
+				margin-left:0;
+				/*@editable*/ text-align:left;
+			}
+			
+			/* /\/\/\/\/\/\/\/\/\/\ STANDARD STYLING: PREHEADER /\/\/\/\/\/\/\/\/\/\ */
+			
+			/**
+			* @tab Header
+			* @section preheader style
+			* @tip Set the background color for your email's preheader area.
+			* @theme page
+			*/
+			#templatePreheader{
+				/*@editable*/ background-color:#FAFAFA;
+			}
+			
+			/**
+			* @tab Header
+			* @section preheader text
+			* @tip Set the styling for your email's preheader text. Choose a size and color that is easy to read.
+			*/
+			.preheaderContent div{
+				/*@editable*/ color:#707070;
+				/*@editable*/ font-family:Arial;
+				/*@editable*/ font-size:10px;
+				/*@editable*/ line-height:100%;
+				/*@editable*/ text-align:left;
+			}
+			
+			/**
+			* @tab Header
+			* @section preheader link
+			* @tip Set the styling for your email's preheader links. Choose a color that helps them stand out from your text.
+			*/
+			.preheaderContent div a:link, .preheaderContent div a:visited, /* Yahoo! Mail Override */ .preheaderContent div a .yshortcuts /* Yahoo! Mail Override */{
+				/*@editable*/ color:#336699;
+				/*@editable*/ font-weight:normal;
+				/*@editable*/ text-decoration:underline;
+			}
+			
+			/**
+			* @tab Header
+			* @section social bar style
+			* @tip Set the background color and border for your email's footer social bar.
+			*/
+			#social div{
+				/*@editable*/ text-align:right;
+			}
+			
+			/* /\/\/\/\/\/\/\/\/\/\ STANDARD STYLING: HEADER /\/\/\/\/\/\/\/\/\/\ */
+			
+			/**
+			* @tab Header
+			* @section header style
+			* @tip Set the background color and border for your email's header area.
+			* @theme header
+			*/
+			#templateHeader{
+				/*@editable*/ background-color:#FFFFFF;
+				/*@editable*/ border-bottom:5px solid #505050;
+			}
+			
+			/**
+			* @tab Header
+			* @section header text
+			* @tip Set the styling for your email's header text. Choose a size and color that is easy to read.
+			*/
+			.headerContent{
+				/*@editable*/ color:#202020;
+				/*@editable*/ font-family:Arial;
+				/*@editable*/ font-size:34px;
+				/*@editable*/ font-weight:bold;
+				/*@editable*/ line-height:100%;
+				/*@editable*/ padding:10px;
+				/*@editable*/ text-align:right;
+				/*@editable*/ vertical-align:middle;
+			}
+			
+			/**
+			* @tab Header
+			* @section header link
+			* @tip Set the styling for your email's header links. Choose a color that helps them stand out from your text.
+			*/
+			.headerContent a:link, .headerContent a:visited, /* Yahoo! Mail Override */ .headerContent a .yshortcuts /* Yahoo! Mail Override */{
+				/*@editable*/ color:#336699;
+				/*@editable*/ font-weight:normal;
+				/*@editable*/ text-decoration:underline;
+			}
+			
+			#headerImage{
+				height:auto;
+				max-width:600px !important;
+			}
+			
+			/* /\/\/\/\/\/\/\/\/\/\ STANDARD STYLING: MAIN BODY /\/\/\/\/\/\/\/\/\/\ */
+			
+			/**
+			* @tab Body
+			* @section body style
+			* @tip Set the background color for your email's body area.
+			*/
+			#templateContainer, .bodyContent{
+				/*@editable*/ background-color:#FDFDFD;
+			}
+			
+			/**
+			* @tab Body
+			* @section body text
+			* @tip Set the styling for your email's main content text. Choose a size and color that is easy to read.
+			* @theme main
+			*/
+			.bodyContent div{
+				/*@editable*/ color:#505050;
+				/*@editable*/ font-family:Arial;
+				/*@editable*/ font-size:14px;
+				/*@editable*/ line-height:150%;
+				/*@editable*/ text-align:justify;
+			}
+			
+			/**
+			* @tab Body
+			* @section body link
+			* @tip Set the styling for your email's main content links. Choose a color that helps them stand out from your text.
+			*/
+			.bodyContent div a:link, .bodyContent div a:visited, /* Yahoo! Mail Override */ .bodyContent div a .yshortcuts /* Yahoo! Mail Override */{
+				/*@editable*/ color:#336699;
+				/*@editable*/ font-weight:normal;
+				/*@editable*/ text-decoration:underline;
+			}
+			
+			.bodyContent img{
+				display:inline;
+				height:auto;
+			}
+			
+			/* /\/\/\/\/\/\/\/\/\/\ STANDARD STYLING: SIDEBAR /\/\/\/\/\/\/\/\/\/\ */
+			
+			/**
+			* @tab Sidebar
+			* @section sidebar style
+			* @tip Set the background color and border for your email's sidebar area.
+			*/
+			#templateSidebar{
+				/*@editable*/ background-color:#FDFDFD;
+			}
+			
+			/**
+			* @tab Sidebar
+			* @section sidebar style
+			* @tip Set the background color and border for your email's sidebar area.
+			*/
+			.sidebarContent{
+				/*@editable*/ border-right:1px solid #DDDDDD;
+			}
+			
+			/**
+			* @tab Sidebar
+			* @section sidebar text
+			* @tip Set the styling for your email's sidebar text. Choose a size and color that is easy to read.
+			*/
+			.sidebarContent div{
+				/*@editable*/ color:#505050;
+				/*@editable*/ font-family:Arial;
+				/*@editable*/ font-size:10px;
+				/*@editable*/ line-height:150%;
+				/*@editable*/ text-align:left;
+			}
+			
+			/**
+			* @tab Sidebar
+			* @section sidebar link
+			* @tip Set the styling for your email's sidebar links. Choose a color that helps them stand out from your text.
+			*/
+			.sidebarContent div a:link, .sidebarContent div a:visited, /* Yahoo! Mail Override */ .sidebarContent div a .yshortcuts /* Yahoo! Mail Override */{
+				/*@editable*/ color:#336699;
+				/*@editable*/ font-weight:normal;
+				/*@editable*/ text-decoration:underline;
+			}
+			
+			.sidebarContent img{
+				display:inline;
+				height:auto;
+			}
+			
+			/* /\/\/\/\/\/\/\/\/\/\ STANDARD STYLING: FOOTER /\/\/\/\/\/\/\/\/\/\ */
+			
+			/**
+			* @tab Footer
+			* @section footer style
+			* @tip Set the background color and top border for your email's footer area.
+			* @theme footer
+			*/
+			#templateFooter{
+				/*@editable*/ background-color:#FAFAFA;
+				/*@editable*/ border-top:3px solid #909090;
+			}
+			
+			/**
+			* @tab Footer
+			* @section footer text
+			* @tip Set the styling for your email's footer text. Choose a size and color that is easy to read.
+			* @theme footer
+			*/
+			.footerContent div{
+				/*@editable*/ color:#707070;
+				/*@editable*/ font-family:Arial;
+				/*@editable*/ font-size:11px;
+				/*@editable*/ line-height:125%;
+				/*@editable*/ text-align:left;
+			}
+			
+			/**
+			* @tab Footer
+			* @section footer link
+			* @tip Set the styling for your email's footer links. Choose a color that helps them stand out from your text.
+			*/
+			.footerContent div a:link, .footerContent div a:visited, /* Yahoo! Mail Override */ .footerContent div a .yshortcuts /* Yahoo! Mail Override */{
+				/*@editable*/ color:#336699;
+				/*@editable*/ font-weight:normal;
+				/*@editable*/ text-decoration:underline;
+			}
+			
+			.footerContent img{
+				display:inline;
+			}
+			
+			/**
+			* @tab Footer
+			* @section social bar style
+			* @tip Set the background color and border for your email's footer social bar.
+			* @theme footer
+			*/
+			#social{
+				/*@editable*/ background-color:#FFFFFF;
+				/*@editable*/ border:0;
+			}
+			
+			/**
+			* @tab Footer
+			* @section social bar style
+			* @tip Set the background color and border for your email's footer social bar.
+			*/
+			#social div{
+				/*@editable*/ text-align:left;
+			}
+			
+			/**
+			* @tab Footer
+			* @section utility bar style
+			* @tip Set the background color and border for your email's footer utility bar.
+			* @theme footer
+			*/
+			#utility{
+				/*@editable*/ background-color:#FAFAFA;
+				/*@editable*/ border-top:0;
+			}
+
+			/**
+			* @tab Footer
+			* @section utility bar style
+			* @tip Set the background color and border for your email's footer utility bar.
+			*/
+			#utility div{
+				/*@editable*/ text-align:left;
+			}
+			
+			#monkeyRewards img{
+				max-width:170px !important;
+			}
+		</style>
+	</head>
+    <body leftmargin="0" marginwidth="0" topmargin="0" marginheight="0" offset="0">
+    	<center>
+        	<table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%" id="backgroundTable">
+            	<tr>
+                	<td align="center" valign="top">
+                    	<table border="0" cellpadding="0" cellspacing="0" width="600" id="templateContainer">
+                        	<tr style="margin: 0px; padding: 0px; width: 600px; background-color: rgb(247, 247, 247);">
+                            	<td align="center" valign="top">
+                                    <!-- // Begin Template Header \\ -->
+                                	<table border="0" cellpadding="0" cellspacing="0" width="600" style="margin: 0px; padding: 0px; width: 600px; background-color: rgb(253, 253, 253);">
+                                        <tr>
+                                        	<td class="headerContent">
+                                            	<img src="http://drive.google.com/uc?export=view&id=0B0ktFgMTDB8KVzJJU1gyYVF2VUU" style="max-width:180px; padding: 3px 3px 3px;" id="headerImage campaign-icon" mc:label="header_image" mc:edit="header_image" mc:allowtext />
+                                            </td>
+                                            <td class="headerContent" width="100%" style="padding-left:10px; padding-right:20px;">
+                                            	<div mc:edit="Header_content">
+                                                    <h2>${object.name}</h2>
+                                            	</div>
+                                            </td>
+                                        </tr>
+                                    </table>
+                                    <!-- // End Template Header \\ -->
+                                </td>
+                            </tr>
+                        	<tr>
+                            	<td align="center" valign="top">
+                                    <!-- // Begin Template Body \\ -->
+                                	<table border="0" cellpadding="10" cellspacing="0" width="600" style="margin: 0px; padding: 0px; width: 600px; background-color: rgb(247, 247, 247);">
+                                    	<tr>
+                                        	<!-- // Begin Sidebar \\  -->
+                                        	<td valign="top" width="180" id="templateSidebar">
+                                            	<table border="0" cellpadding="0" cellspacing="0" width="100%">
+                                                	<tr>
+                                                    	<td valign="top">
+                                                        
+                                                            <!-- // Begin Module: Standard Content \\ -->
+                                                            <table border="0" cellpadding="20" cellspacing="0" width="100%" style="margin: 0px; padding: 0px; width: 100%; background-color: rgb(249, 252, 255);">
+                                                                <tr>
+                                                                    <td valign="top" style="padding-left:10px;">
+                                                                        <div mc:edit="std_content01" >
+                                                                            <strong>Acesso Sistema</strong>
+                                                                            <br />
+                                                                            http://erp.vauxoo.com/
+                                                                            <br />
+                                                                            <br />
+                                                                            %if object.date_deadline:
+                                                                            <strong>Fecha Límite</strong>
+                                                                            <br />
+                                                                            ${object.date_deadline}
+                                                                            <br />
+                                                                            <br />
+                                                                            % endif
+                                                                            %if object.planned_hours:
+                                                                            <strong>Horas Estimadas:</strong>
+                                                                            <br />
+                                                                            ${object.planned_hours}
+                                                                            <br />
+                                                                            <br />
+                                                                            % endif
+                                                                            <strong>Instruciones:</strong>
+                                                                            <br />
+                                                                            <a href="http://erp.vauxoo.com/?ts=1369145623875&debug=#id=2&view_type=form&model=document.page&action=650">Manejo de Tareas</a> 
+                                                                            <br />
+                                                                            <br />
+                                                                            %if object.manager_id.name:
+                                                                            <strong>Responsable del Proy.:</strong>
+                                                                            <br />
+                                                                            ${object.manager_id.name}
+                                                                            <br />
+                                                                            <br />
+                                                                            % endif
+                                                                            Si tiene alguna duda al respecto favor de manifestarla.
+                                                                        </div>
+                                                                    </td>
+                                                                </tr>
+                                                            </table>
+                                                            <!-- // End Module: Standard Content \\ -->
+                                                        
+                                                        </td>
+                                                    </tr>
+                                                </table>
+                                            </td>
+                                            <!-- // End Sidebar \\ -->
+                                        	<td valign="top" class="bodyContent">
+                                            
+                                                <!-- // Begin Module: Standard Content \\ -->
+                                                <table border="0" cellpadding="10" cellspacing="0" width="100%">
+                                                    <tr>
+                                                        <td valign="top" style="padding-left:0;">
+                                                            <div mc:edit="std_content00">
+                                                            	<h2 class="h2">Estimad@ ${object.user_id.name}</h2>
+                                                            	<h3 class="h3">Se le ha asignado la siguiente actividad</h3>
+                                                                <pre style="font-size:1.1em; font-family:Arial">${object.description}</pre>
+                                                                <br />
+															</div>
+														</td>
+                                                    </tr>
+                                                </table>
+                                                <!-- // End Module: Standard Content \\ -->
+                                            
+                                            </td>
+                                        </tr>
+                                    </table>
+                                    <!-- // End Template Body \\ -->
+                                </td>
+                        </table>
+                        <br />
+                    </td>
+                </tr>
+            </table>
+        </center>
+    </body>
+</html>
+
+            ]]></field>
+        </record>
+
+
+    <!-- 
+    =====================================================
+    SERVER FUNCTIONAL TEMPLATE
+    =====================================================
+    -->
+        <record id="template_send_email_server" model="email.template">
+            <field name="name">Envio de Reporte de Credenciales del Server</field>
+            <field name="email_from">soporte@vauxoo.com</field>
+            <field name="model_id" ref="project.model_project_task" />
+            <field name="subject">Reporte de Credenciales resultado de la Instalacion del Server - ${object.partner_id.name and object.partner_id.name or ''}</field>
+            <field name="auto_delete" eval="True"/>
+            <field name="mail_server_id" ref="template_outgoing_mail_server"/>
+            <field name="email_to">${object.user_id.email}</field>
+            <field name="email_cc">nhomar@vauxoo.com,rafael@vauxoo.com,hbto@vauxoo.com,gabriela@vauxoo.com</field>
+            <field name="body_html"><![CDATA[<html>
+<head>
+  <meta content="text/html; charset=ISO-8859-1"
+ http-equiv="content-type">
+  <title>hh</title>
+</head>
+<body>
+<meta http-equiv="CONTENT-TYPE"
+ content="text/html; charset=utf-8">
+<title></title>
+<meta name="GENERATOR" content="LibreOffice 3.6 (Linux)">
+<style type="text/css">
+</style>
+<p><b>Buenas,</b></p>
+<p>Ya se realizó la instalación del servidor, esta actividad
+requirió un total de 8 horas, los datos para conectarse son los
+siguientes:</p>
+<p>ip/url: <b style="color: rgb(0, 0, 223);">[ip o
+url según sea el caso]</b></p>
+<p>Usuario:<span style="color: rgb(0, 0, 223);"> </span><b
+ style="color: rgb(0, 0, 223);">testing</b><br>
+Clave: <b style="color: rgb(0, 0, 223);">clave</b>
+</p>
+<p>Usuario: <b><span style="color: rgb(0, 0, 223);">production
+</span>&nbsp;</b><br>
+Clave: <b style="color: rgb(0, 0, 223);">clave</b></p>
+Usuario: <b style="color: rgb(0, 0, 223);">administrator</b><span
+ style="font-weight: bold;"><br>
+</span>Clave: <b style="color: rgb(0, 0, 223);">clave</b>
+<p>Los mismos usuarios tienen acceso al postgres sin clave, sin
+embargo tienen las siguientes claves en caso de que sea requerido:<br>
+</p>
+<p>Usuario: <b style="color: rgb(0, 0, 223);">testing</b><br>
+Clave: <b style="color: rgb(0, 0, 223);">clave</b></p>
+Usuario: <b style="color: rgb(0, 0, 223);">production</b><br>
+Clave: <b><span style="color: rgb(0, 0, 223);">clave</span><br>
+</b>
+<p style="color: rgb(0, 0, 223);">[Si el postgres está en
+un servidor distinto se le envían el
+puerto y la dirección]</p>
+<p style="color: rgb(0, 0, 223);">[Al usuario
+administrador no se le crea usuario a menos que
+sea
+requerimiento del cliente]</p>
+</body>
+</html>
+           ]]></field>
+         </record>
+    </data>
+</openerp>

=== added directory 'project_conf/static'
=== added directory 'project_conf/static/src'
=== added directory 'project_conf/static/src/img'
=== added file 'project_conf/static/src/img/add_context_action.png'
Binary files project_conf/static/src/img/add_context_action.png and project_conf/static/src/img/add_context_action.png differ
=== added file 'project_conf/static/src/img/columns.png'
Binary files project_conf/static/src/img/columns.png and project_conf/static/src/img/columns.png differ
=== added file 'project_conf/static/src/img/send_mail.png'
Binary files project_conf/static/src/img/send_mail.png and project_conf/static/src/img/send_mail.png differ
=== added file 'project_conf/static/src/img/test_connection.png'
Binary files project_conf/static/src/img/test_connection.png and project_conf/static/src/img/test_connection.png differ
